

DROP TABLE IF EXISTS Assignment;
DROP TABLE IF EXISTS Batch;
DROP TABLE IF EXISTS BatchItem;
DROP TABLE IF EXISTS Course;
DROP TABLE IF EXISTS Enrolment;
DROP TABLE IF EXISTS Module;
DROP TABLE IF EXISTS Payment;
DROP TABLE IF EXISTS Student;
DROP TABLE IF EXISTS Tutor;


CREATE TABLE  Assignment
(
    AssignmentNo	DECIMAL(6)  NOT NULL,
    StudentNo		VARCHAR(8),
    ModuleCode		VARCHAR(8),
    TutorId		VARCHAR(6),
    DateIssued		DATE,
    DueDate		DATE,
    DateSubmitted	DATE,
    Result		DECIMAL(3)
);


CREATE TABLE  Batch
(
    BatchNo		DECIMAL(6)  NOT NULL,
    TutorId		VARCHAR(6),
    DateSent		DATE,
    DateReturned	DATE
);


CREATE TABLE  BatchItem
(
   BatchItemNo		DECIMAL(6)  NOT NULL,
   BatchNo		DECIMAL(6),
   AssignmentNo		DECIMAL(6)
);


CREATE TABLE  Course
(
    CourseCode		VARCHAR(8)  NOT NULL,
    CourseTitle		VARCHAR(50)
);


CREATE TABLE  Enrolment
(
   EnrolmentNo		DECIMAL(6)  NOT NULL,
   EnrolDate		DATE,
   StudentNo		VARCHAR(8),
   CourseNo		VARCHAR(8),
   PayMethod		VARCHAR(1),
   Paid			DECIMAL(9,4) 
);

CREATE TABLE  Module
(
   ModuleCode		VARCHAR(8)  NOT NULL,
   ModuleTitle		VARCHAR(50),
   CourseCode		VARCHAR(8),
   Credits		DECIMAL(4)
);


CREATE TABLE  Payment
(
   PaymentNo		DECIMAL(6)  NOT NULL,
   EnrolmentNo		DECIMAL(6),
   PaidDate		DATE,
   PaidAmount		DECIMAL(9,4)
);


CREATE TABLE  Student
(
   StudentNo		VARCHAR(8)  NOT NULL,
   Surname		VARCHAR(50),
   FirstName		VARCHAR(50)
);

CREATE TABLE  Tutor
(
   TutorId		VARCHAR(6)   NOT NULL,
   TutorName		VARCHAR(50)
);

Commit;