

DROP TABLE IF EXISTS Client;
DROP TABLE IF EXISTS Consultant;
DROP TABLE IF EXISTS Employer;
DROP TABLE IF EXISTS Employment;
DROP TABLE IF EXISTS Qualifications;

CREATE TABLE Client
(
   RegistrationNo	DECIMAL(6)  NOT NULL,
   LastName		VARCHAR(50),
   FirstName		VARCHAR(50),
   Address		VARCHAR(50),
   DateofBirth		DATE,
   Sex			VARCHAR(1),
   Telephone		VARCHAR(15),
   ConsultantId		VARCHAR(6)
);


CREATE TABLE Consultant
(
   ConsultantId		VARCHAR(6)  NOT NULL,
   Name			VARCHAR(50),
   Extension		DECIMAL(10)
);


CREATE TABLE Employer
(
   
   EmployerName		VARCHAR(50)  NOT NULL,
   Address		VARCHAR(50),
   Telephone		VARCHAR(15)
);


CREATE TABLE Employment
(
   EmployNo		DECIMAL(6)  NOT NULL,
   RegistrationNo 	DECIMAL(6),
   EmployerRef		VARCHAR(50),
   JobTitle		VARCHAR(50),
   DateStarted		DATE,
   ReasonforLeaving	VARCHAR(50),
   DateLeft		DATE,
   Finalsalary		DECIMAL(10,4)
);


CREATE TABLE Qualifications
(
   RegistrationNo 	DECIMAL(6)   NOT NULL,
   Award		VARCHAR(50),
   AwardingBody		VARCHAR(50),
   Level		VARCHAR(50),
   Year			DECIMAL(4)
);

commit;


