

DROP TABLE IF EXISTS course;
DROP TABLE IF EXISTS customer;
DROP TABLE IF EXISTS schedule;
DROP TABLE IF EXISTS tutor;
DROP TABLE IF EXISTS booking;

CREATE TABLE course
(
    CourseCode		VARCHAR(6) NOT NULL,	
    CourseTitle		VARCHAR(50),
    Price		DECIMAL(9,4),
    Category		VARCHAR(2),
    Duration		DECIMAL(4)
);


CREATE TABLE customer
(
    CustomerNo		DECIMAL(6)  NOT NULL,
    CustSurname		VARCHAR(25),
    CustFirstName	VARCHAR(25)
);


CREATE TABLE tutor
(
    TutorId		VARCHAR(5)  NOT NULL,
    TutorName		VARCHAR(20)
);

CREATE TABLE booking
(
    BookingNo		DECIMAL(6)  NOT NULL,
    CustomerNo		DECIMAL(6),
    ScheduleNo		DECIMAL(6),
    BookingDate		DATE,
    PlacesBooked	DECIMAL(3)
);

CREATE TABLE schedule
(
    ScheduleNo		DECIMAL(6)  NOT NULL,
    CourseCode		VARCHAR(6),
    TutorId		VARCHAR(5),
    CourseDate		DATE,
    MaxEnrols		DECIMAL(3),
    AvailPlaces		DECIMAL(3)
);


INSERT INTO Course VALUES ('ACC020','Introduction to Book-keeping',180.00,'AC',4);
INSERT INTO Course VALUES ('ACC030','Intermediate Book-Keeping',200.00,'AC',4);
INSERT INTO Course VALUES ('ACC040','Accounting Stage 1',250.00,'AC',5);
INSERT INTO Course VALUES ('BIT020','Basic IT',250.00,'IT',3);
INSERT INTO Course VALUES ('COM010','C++ Programming',240.00,'PR',5);
INSERT INTO Course VALUES ('COM050','Java Programming',240.00,'PR',5);
INSERT INTO Course VALUES ('NET010','Intro to Networks',270.00,'IT',3);



INSERT INTO Customer VALUES (1,'Lambie','Ian');
INSERT INTO Customer VALUES (2,'Bryson','Andrew');
INSERT INTO Customer VALUES (3,'Armitage','Henry');
INSERT INTO Customer VALUES (4,'Bloggs','Joe');
INSERT INTO Customer VALUES (5,'Ritchie','Martin');
INSERT INTO Customer VALUES (6,'Cohen','Leonard');
INSERT INTO Customer VALUES (7,'Giles','Tom');
INSERT INTO Customer VALUES (8,'Lynch','Gerry');
INSERT INTO Customer VALUES (9,'Collins','Jim');
INSERT INTO Customer VALUES (10,'Watson','Arthur');
INSERT INTO Customer VALUES (11,'Morrison','Henry');
INSERT INTO Customer VALUES (12,'Cranston','Richard');
INSERT INTO Customer VALUES (13,'Clark','James');
INSERT INTO Customer VALUES (14,'Hawkins','Albert');
INSERT INTO Customer VALUES (15,'Carpenter','James');
INSERT INTO Customer VALUES (16,'Mair','David');
INSERT INTO Customer VALUES (17,'Jones','James');

INSERT INTO Schedule VALUES (1,'COM010','B0335','2009-01-18',20,20);
INSERT INTO Schedule VALUES (2,'ACC040','C1200','2008-12-16',25,25);
INSERT INTO Schedule VALUES (3,'ACC040','B0335','2008-11-05',30,30);
INSERT INTO Schedule VALUES (4,'COM010','C2301','2008-11-09',25,25);
INSERT INTO Schedule VALUES (5,'ACC030','F0099','2009-01-05',20,20);
INSERT INTO Schedule VALUES (6,'COM010','B0335','2008-02-08',25,25);
INSERT INTO Schedule VALUES (7,'COM050','F0099','2009-02-20',15,15);
INSERT INTO Schedule VALUES (8,'COM050','B0122','2008-11-29',25,25);
INSERT INTO Schedule VALUES (9,'ACC030','B0335','2008-12-21',30,30);
INSERT INTO Schedule VALUES (10,'ACC030','C1200','2009-02-14',25,25);
INSERT INTO Schedule VALUES (11,'ACC030','C1200','2008-03-03',25,25);
INSERT INTO Schedule VALUES (12,'COM050','C2301','2008-08-17',20,20);
INSERT INTO Schedule VALUES (13,'NET010','B0335','2008-09-09',30,30);
INSERT INTO Schedule VALUES (14,'ACC030','F0099','2008-11-16',30,30);
INSERT INTO Schedule VALUES (15,'NET010','B0335','2008-11-19',0,30);


INSERT INTO Tutor VALUES ('B0122','John Harkness');
INSERT INTO Tutor VALUES ('B0335','Gordon Tomlinson');
INSERT INTO Tutor VALUES ('C1200','Julie Stevens');
INSERT INTO Tutor VALUES ('C2301','Martin Adams');
INSERT INTO Tutor VALUES ('F0099','Katherine Leonard');
INSERT INTO Tutor VALUES ('K3000','Douglas Connolly');


commit;
