set termout off


DROP TABLE Assignment;
DROP TABLE Batch;
DROP TABLE BatchItem;
DROP TABLE Course;
DROP TABLE Enrolment;
DROP TABLE Module;
DROP TABLE Payment;
DROP TABLE Student;
DROP TABLE Tutor;


CREATE TABLE  Assignment
(
    AssignmentNo	NUMBER(6)  NOT NULL,
    StudentNo		VARCHAR2(8),
    ModuleCode		VARCHAR2(8),
    TutorId		VARCHAR2(6),
    DateIssued		DATE,
    DueDate		DATE,
    DateSubmitted	DATE,
    Result		NUMBER(3)
);


CREATE TABLE  Batch
(
    BatchNo		NUMBER(6)  NOT NULL,
    TutorId		VARCHAR2(6),
    DateSent		DATE,
    DateReturned	DATE
);


CREATE TABLE  BatchItem
(
   BatchItemNo		NUMBER(6)  NOT NULL,
   BatchNo		NUMBER(6),
   AssignmentNo		NUMBER(6)
);


CREATE TABLE  Course
(
    CourseCode		VARCHAR2(8)  NOT NULL,
    CourseTitle		VARCHAR2(50)
);


CREATE TABLE  Enrolment
(
   EnrolmentNo		NUMBER(6)  NOT NULL,
   EnrolDate		DATE,
   StudentNo		VARCHAR2(8),
   CourseNo		VARCHAR2(8),
   PayMethod		VARCHAR2(1),
   Paid			CURRENCY 
);

CREATE TABLE  Module
(
   ModuleCode		VARCHAR2(8)  NOT NULL,
   ModuleTitle		VARCHAR2(50),
   CourseCode		VARCHAR2(8),
   Credits		NUMBER(4)
);


CREATE TABLE  Payment
(
   PaymentNo		NUMBER(6)  NOT NULL,
   EnrolmentNo		NUMBER(6),
   PaidDate		DATE,
   PaidAmount		CURRENCY
);


CREATE TABLE  Student
(
   StudentNo		VARCHAR2(8)  NOT NULL,
   Surname		VARCHAR2(50),
   FirstName		VARCHAR2(50)
);

CREATE TABLE  Tutor
(
   TutorId		VARCHAR(6)   NOT NULL,
   TutorName		VARCHAR2(50)
);

commit;

set termout on