

set termout off

DROP TABLE Customer;
DROP TABLE Film;
DROP TABLE DVD;
DROP TABLE Hired;
DROP TABLE Starring;
DROP TABLE Stars;



CREATE TABLE Customer
(
   CustomerId		NUMBER(6) NOT NULL,
   CustomerName		VARCHAR2(20),
   PostCode		VARCHAR2(10),
   PhoneNumber		VARCHAR2(12),
   DateJoined		DATE
);


CREATE TABLE Film
(
   FilmId		NUMBER(6) NOT NULL,
   FilmTitle		VARCHAR2(50),
   Director		VARCHAR2(20),
   ReleaseYear		NUMBER(4),
   DurationMinutes	NUMBER(4),
   PriceCode		VARCHAR2(1)
);

CREATE TABLE DVD
(
   DVDId		NUMBER(6)   NOT NULL,
   FilmId		NUMBER(6)
);


CREATE TABLE Hired
(
   CustomerId		NUMBER(6) NOT NULL,
   DVDId		NUMBER(6) NOT NULL,
   HireDate		DATE 	  NOT NULL,
   ReturnDate		DATE
);

CREATE TABLE Starring
(
   StarringId		NUMBER(6)   NOT NULL,
   FilmId		NUMBER(6),
   StarId		NUMBER(6)
);


CREATE TABLE Stars
(
   StarId		NUMBER(6)   NOT NULL,
   StarName		VARCHAR2(50),
   StarNationality	VARCHAR2(50)
);



INSERT INTO Customer VALUES (1,'Armstrong','PA19 4RN','01505699103','23-Jan-06');
INSERT INTO Customer VALUES (3,'Anderson', 'GG56 8UY','01335908754','27-Jan-07');
INSERT INTO Customer VALUES (4,'Forbes','AX9 8TT','01272567893','01-Dec-06');
INSERT INTO Customer VALUES (5,'Penrose','FF98 2PL','01321987258','13-Jul-04');
INSERT INTO Customer VALUES (6,'Harkness','PA2 7FG','01505812092','12-Mar-07');
INSERT INTO Customer VALUES (7,'Kurtz','PA6 5TR','01505613244','19-Jun-04');
INSERT INTO Customer VALUES (8,'Harper','PT98 7TY','01589456733','21-Nov-05');
INSERT INTO Customer VALUES (9,'Campbell','GT9 8UI','01654789024','10-Dec-07');
INSERT INTO Customer VALUES (10,'Shaw','PA7 5RT','01505787441','08-Oct-03');
INSERT INTO Customer VALUES (12,'Rodrigez','GH4 9KT','01418523729','07-Aug-07');
INSERT INTO Customer VALUES (13,'Gillies','GS7 8RY','01505700123','12-Jun-07');
INSERT INTO Customer VALUES (14,'Ling','GN1 1AA','01412118870','24-Feb-06');


INSERT INTO Stars VALUES (1,'Kate Winslett', 'English');
INSERT INTO Stars VALUES (2,'Leonardo diCaprio', 'American');
INSERT INTO Stars VALUES (3,'Robert Redford', 'American');
INSERT INTO Stars VALUES (4,'Clark Gable', 'American');
INSERT INTO Stars VALUES (5,'Billy Zane', 'American');
INSERT INTO Stars VALUES (6,'Robert Shaw', 'English');
INSERT INTO Stars VALUES (7,'Paul Newman', 'American');
INSERT INTO Stars VALUES (8,'Leslie Nielsen', 'American');
INSERT INTO Stars VALUES (9,'Anne Francis', 'American');
INSERT INTO Stars VALUES (10,'Walter Pidgeon', 'American');
INSERT INTO Stars VALUES (11,'Tim Robbins', 'American');
INSERT INTO Stars VALUES (12,'Morgan Freeman', 'American');
INSERT INTO Stars VALUES (13,'Harrison Ford', 'American');
INSERT INTO Stars VALUES (14,'Karen Allen', 'American');
INSERT INTO Stars VALUES (15,'Denholm Elliot', 'American');
INSERT INTO Stars VALUES (16,'Kevin Spacey', 'American');
INSERT INTO Stars VALUES (17,'Pete Postlethwaite', 'English');
INSERT INTO Stars VALUES (18,'Steven Baldwin', 'American');
INSERT INTO Stars VALUES (19,'Gabriel Byrne', 'Irish');
INSERT INTO Stars VALUES (20,'Alan Ladd', 'American');
INSERT INTO Stars VALUES (21,'Jean Arthur', 'American');
INSERT INTO Stars VALUES (22,'Van Heflin', 'American');
INSERT INTO Stars VALUES (23,'Vivienne Leigh', 'English');
INSERT INTO Stars VALUES (24,'Gregory Peck', 'American');
INSERT INTO Stars VALUES (25,'Jim Carrey', 'American');
INSERT INTO Stars VALUES (27,'Humphrey Bogart', 'American');
INSERT INTO Stars VALUES (28,'Katherine Hepburn', 'American');
INSERT INTO Stars VALUES (29,'James Stewart', 'American');
INSERT INTO Stars VALUES (31,'Leslie Howard', 'English');
INSERT INTO Stars VALUES (32,'David Warner', 'English');
INSERT INTO Stars VALUES (38,'Forest Whitaker', 'American');
INSERT INTO Stars VALUES (39,'David McAvoy', 'Scottish');


INSERT INTO Film VALUES (1,'Gone with the Wind', 'Victor Fleming', 1939, 220, 'C');
INSERT INTO Film VALUES (2,'Titanic', 'James Cameron', 1997, 120, 'A');
INSERT INTO Film VALUES (3,'The Sting', 'George Roy Hill', 1973, 129, 'A');
INSERT INTO Film VALUES (4,'Forbidden Planet', 'Fred M. Wilcox', 1959, 140, 'B');
INSERT INTO Film VALUES (5,'The Shawshank Redemption', 'Frank Darabont', 1994, 145, 'A');
INSERT INTO Film VALUES (6,'Raiders of the Lost Ark', 'Steven Speilberg', 1981, 115, 'B');
INSERT INTO Film VALUES (7,'The Usual Suspects', 'Bryan Singer', 1995, 220, 'A');
INSERT INTO Film VALUES (17,'Shane', 'George Stevens', 1953, 118, 'A');
INSERT INTO Film VALUES (18,'Casablanca', 'Michael Curtiz', 1942, 102, 'A');
INSERT INTO Film VALUES (19,'Its a Wonderful Life', 'Frank Capra', 1946, 130, 'A');
INSERT INTO Film VALUES (20,'The Graduate', 'Mike Nichols', 1967, 105, 'A');
INSERT INTO Film VALUES (21,'Lawrence of Arabia', 'David Lean', 1962, 217, 'A');
INSERT INTO Film VALUES (22,'Schindlers List', 'Steven Spielberg', 1993, 195, 'A');
INSERT INTO Film VALUES (24,'The Silence of the Lambs', 'Jonathan Demme', 1991, 118, 'A');
INSERT INTO Film VALUES (25,'To Kill a Mocking Bird', 'Robert Mulligan', 1962, 129, 'C');
INSERT INTO Film VALUES (26,'The Departed', 'Martin Scorsese', 2006, 151, 'A');
INSERT INTO Film VALUES (27,'The Eternal Sunshine of the Spotless Mind', 'Michel Gondry', 2004, 108, 'B');
INSERT INTO Film VALUES (28,'The Last King of Scotland', 'Kevin Macdonald', 2006, 121, 'A');


INSERT INTO DVD VALUES (1,4);
INSERT INTO DVD VALUES (2,6);
INSERT INTO DVD VALUES (3,6);
INSERT INTO DVD VALUES (4,2);
INSERT INTO DVD VALUES (5,1);
INSERT INTO DVD VALUES (6,1);
INSERT INTO DVD VALUES (7,3);
INSERT INTO DVD VALUES (8,3);
INSERT INTO DVD VALUES (9,4);
INSERT INTO DVD VALUES (10,4);
INSERT INTO DVD VALUES (11,1);
INSERT INTO DVD VALUES (12,6);
INSERT INTO DVD VALUES (13,5);
INSERT INTO DVD VALUES (14,5);
INSERT INTO DVD VALUES (15,2);
INSERT INTO DVD VALUES (16,5);
INSERT INTO DVD VALUES (17,3);
INSERT INTO DVD VALUES (18,4);
INSERT INTO DVD VALUES (21,28);
INSERT INTO DVD VALUES (23,28);
INSERT INTO DVD VALUES (24,28);
INSERT INTO DVD VALUES (25,7);
INSERT INTO DVD VALUES (26,7);
INSERT INTO DVD VALUES (27,17);
INSERT INTO DVD VALUES (28,18);
INSERT INTO DVD VALUES (29,19);
INSERT INTO DVD VALUES (30,19);
INSERT INTO DVD VALUES (31,20);
INSERT INTO DVD VALUES (32,21);
INSERT INTO DVD VALUES (33,21);
INSERT INTO DVD VALUES (34,22);
INSERT INTO DVD VALUES (35,22);
INSERT INTO DVD VALUES (36,22);
INSERT INTO DVD VALUES (37,24);
INSERT INTO DVD VALUES (38,24);
INSERT INTO DVD VALUES (39,24);
INSERT INTO DVD VALUES (40,25);
INSERT INTO DVD VALUES (41,26);
INSERT INTO DVD VALUES (42,26);
INSERT INTO DVD VALUES (43,26);
INSERT INTO DVD VALUES (44,27);
INSERT INTO DVD VALUES (45,27);



INSERT INTO Starring VALUES (2,2,1);
INSERT INTO Starring VALUES (3,2,2);
INSERT INTO Starring VALUES (4,3,3);
INSERT INTO Starring VALUES (5,1,4);
INSERT INTO Starring VALUES (6,1,23);
INSERT INTO Starring VALUES (7,2,5);
INSERT INTO Starring VALUES (8,3,6);
INSERT INTO Starring VALUES (9,3,7);
INSERT INTO Starring VALUES (10,4,8);
INSERT INTO Starring VALUES (11,4,9);
INSERT INTO Starring VALUES (12,4,10);
INSERT INTO Starring VALUES (13,5,11);
INSERT INTO Starring VALUES (14,5,12);
INSERT INTO Starring VALUES (15,6,13);
INSERT INTO Starring VALUES (16,6,14);
INSERT INTO Starring VALUES (17,6,15);
INSERT INTO Starring VALUES (18,7,16);
INSERT INTO Starring VALUES (19,7,17);
INSERT INTO Starring VALUES (20,7,18);
INSERT INTO Starring VALUES (21,7,19);
INSERT INTO Starring VALUES (22,17,20);
INSERT INTO Starring VALUES (23,17,21);
INSERT INTO Starring VALUES (24,17,22);
INSERT INTO Starring VALUES (25,25,24);
INSERT INTO Starring VALUES (26,27,25);
INSERT INTO Starring VALUES (29,18,27);
INSERT INTO Starring VALUES (30,18,28);
INSERT INTO Starring VALUES (31,18,5);
INSERT INTO Starring VALUES (33,19,29);
INSERT INTO Starring VALUES (38,1,31);
INSERT INTO Starring VALUES (42,2,32);
INSERT INTO Starring VALUES (49,1,5);
INSERT INTO Starring VALUES (51,28,38);
INSERT INTO Starring VALUES (52,28,39);



Commit;


Set termout on
