set termout off

DROP TABLE course;
DROP TABLE customer;
DROP TABLE schedule;
DROP TABLE tutor;
DROP TABLE booking;

CREATE TABLE course
(
    CourseCode		VARCHAR2(6) NOT NULL,	
    CourseTitle		VARCHAR2(50),
    Price		CURRENCY,
    Category		VARCHAR2(2),
    Duration		NUMBER(4)
);


CREATE TABLE customer
(
    CustomerNo		NUMBER(6)  NOT NULL,
    CustSurname		VARCHAR2(25),
    CustFirstName	VARCHAR2(25)
);


CREATE TABLE tutor
(
    TutorId		VARCHAR2(5)  NOT NULL,
    TutorName		VARCHAR2(20)
);

CREATE TABLE booking
(
    BookingNo		NUMBER(6)  NOT NULL,
    CustomerNo		NUMBER(6),
    ScheduleNo		NUMBER(6),
    BookingDate		DATE,
    PlacesBooked	NUMBER(3)
);

CREATE TABLE schedule
(
    ScheduleNo		NUMBER(6)  NOT NULL,
    CourseCode		VARCHAR2(6),
    TutorId		VARCHAR2(5),
    CourseDate		DATE,
    MaxEnrols		NUMBER(3),
    AvailPlaces		NUMBER(3)
);

INSERT INTO Course VALUES ('ACC020','Introduction to Book-keeping',180.00,'AC',4);
INSERT INTO Course VALUES ('ACC030','Intermediate Book-Keeping',200.00,'AC',4);
INSERT INTO Course VALUES ('ACC040','Accounting Stage 1',250.00,'AC',5);
INSERT INTO Course VALUES ('BIT020','Basic IT',250.00,'IT',3);
INSERT INTO Course VALUES ('COM010','C++ Programming',240.00,'PR',5);
INSERT INTO Course VALUES ('COM050','Java Programming',240.00,'PR',5);
INSERT INTO Course VALUES ('NET010','Intro to Networks',270.00,'IT',3);



INSERT INTO Customer VALUES (1,'Lambie','Ian');
INSERT INTO Customer VALUES (2,'Bryson','Andrew');
INSERT INTO Customer VALUES (3,'Armitage','Henry');
INSERT INTO Customer VALUES (4,'Bloggs','Joe');
INSERT INTO Customer VALUES (5,'Ritchie','Martin');
INSERT INTO Customer VALUES (6,'Cohen','Leonard');
INSERT INTO Customer VALUES (7,'Giles','Tom');
INSERT INTO Customer VALUES (8,'Lynch','Gerry');
INSERT INTO Customer VALUES (9,'Collins','Jim');
INSERT INTO Customer VALUES (10,'Watson','Arthur');
INSERT INTO Customer VALUES (11,'Morrison','Henry');
INSERT INTO Customer VALUES (12,'Cranston','Richard');
INSERT INTO Customer VALUES (13,'Clark','James');
INSERT INTO Customer VALUES (14,'Hawkins','Albert');
INSERT INTO Customer VALUES (15,'Carpenter','James');
INSERT INTO Customer VALUES (16,'Mair','David');
INSERT INTO Customer VALUES (17,'Jones','James');

INSERT INTO Schedule VALUES (1,'COM010','B0335','18-Jan-09',20,20);
INSERT INTO Schedule VALUES (2,'ACC040','C1200','16-Nov-08',25,25);
INSERT INTO Schedule VALUES (3,'ACC040','B0335','5-Nov-08',30,30);
INSERT INTO Schedule VALUES (4,'COM010','C2301','9-Nov-08',25,25);
INSERT INTO Schedule VALUES (5,'ACC030','F0099','5-Jan-09',20,20);
INSERT INTO Schedule VALUES (6,'COM010','B0335','8-Feb-08',25,25);
INSERT INTO Schedule VALUES (7,'COM050','F0099','20-Feb-09',15,15);
INSERT INTO Schedule VALUES (8,'COM050','B0122','29-Nov-08',25,25);
INSERT INTO Schedule VALUES (9,'ACC030','B0335','21-Dec-08',30,30);
INSERT INTO Schedule VALUES (10,'ACC030','C1200','14-Feb-09',25,25);
INSERT INTO Schedule VALUES (11,'ACC030','C1200','3-Mar-08',25,25);
INSERT INTO Schedule VALUES (12,'COM050','C2301','17-Aug-08',20,20);
INSERT INTO Schedule VALUES (13,'NET010','B0335','9-Sep-08',30,30);
INSERT INTO Schedule VALUES (14,'ACC030','F0099','16-Nov-08',30,30);
INSERT INTO Schedule VALUES (15,'NET010','B0335','19-Nov-08',0,30);

INSERT INTO Tutor VALUES ('B0122','John Harkness');
INSERT INTO Tutor VALUES ('B0335','Gordon Tomlinson');
INSERT INTO Tutor VALUES ('C1200','Julie Stevens');
INSERT INTO Tutor VALUES ('C2301','Martin Adams');
INSERT INTO Tutor VALUES ('F0099','Katherine Leonard');
INSERT INTO Tutor VALUES ('K3000','Douglas Connolly');




Commit;
set termout off
